/*******************************************************************************
*   Author       -  Kiraly Tibor
*                   www.tkiraaly.hu
*   Date         -  2016.03.21.
*   Chip         -  AVR
*
*   kled2 - LED kezelo objektum inline fuggvenyekkel
*
*   Az objektum LED-ek kezelesere szolgal.
*   A LED katodjat egy ellenallason keresztüla a labra kell kotni, az anodjat a tapra.     
*   A construktor-nak meg kell adni a labat, lasd "tkiraaly_kpin.h".
*   Alaphelyzetben a LED ki lesz kapcsolva.
*   
*******************************************************************************/




#ifndef tkiraaly_kled
#define tkiraaly_kled




#include "tkiraaly_kpin.c"




class kled
{
   public:

      kled( U8)  { _pin= pin;
                   kpin_1( pin);
                   kpin_output( pin);}

      void on()  { kpin_0( _pin);}     // bekapcsolas

      void off() { kpin_1( _pin);}     // kikapcsolas

   private: 
      U8 _pin;                         // melyik lab
};




#endif
